Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface Queue

All Superinterfaces:
  Destination

All Known Subinterfaces:
  TemporaryQueue

public interface Queue
extends Destination

A `Queue` object encapsulates a provider-specific queue name. It is the way a client specifies the identity of a queue to JMS API methods. For those methods that use a `Destination` as a parameter, a `Queue` object used as an argument. For example, a queue can be used to create a `MessageConsumer` and a `MessageProducer` by calling:

- `Session.CreateConsumer(Destination destination)`
- `Session.CreateProducer(Destination destination)`

The actual length of time messages are held by a queue and the consequences of resource overflow are not defined by the JMS API.

Version:
  1.1 February 2 - 2000
Author:
  Mark Hapner, Rich Burridge, Kate Stout
See Also:
  `Session.createConsumer(Destination)`, `Session.createProducer(Destination)`, `Session.createQueue(String)`, `QueueSession.createQueue(String)`

Method Summary
`java.lang.String` | `getQueueName()` Gets the name of this queue.
`java.lang.String` | `toString()` Returns a string representation of this object.

Method Detail

### getQueueName

    public java.lang.String getQueueName()
                                  throws JMSException

  Gets the name of this queue.

  Clients that depend upon the name are not portable.

  Returns:
    the queue name
  Throws:
    `JMSException` - if the JMS provider implementation of `Queue` fails to return the queue name due to some internal error.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Returns:
    the provider-specific identity values for this queue

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.